# Uses of Interface
org.globus.ftp.dc.DataChannelWriter

Packages that use DataChannelWriter
Package
Description
org.globus.ftp.dc

## Uses of DataChannelWriter in org.globus.ftp.dc

Classes in org.globus.ftp.dc that implement DataChannelWriter
Modifier and Type
Class
Description
`class`
`EBlockImageDCWriter`
`class`
`StreamAsciiDCWriter`
`class`
`StreamImageDCWriter`
Fields in org.globus.ftp.dc declared as DataChannelWriter
Modifier and Type
Field
Description
`protected DataChannelWriter`
TransferSourceThread.`writer`
Methods in org.globus.ftp.dc that return DataChannelWriter
Modifier and Type
Method
Description
`DataChannelWriter`
AbstractDataChannel.`getDataChannelSink(TransferContext context)`